Retrieve all DTS intermediate CA certificates under a root CA
/v1/ecosystems/certificates/ca/{dtsCaCertificateId}/intermediateRetrieves all DTS intermediate CA certificates issued under the specified DTS root CA.
Roles
Analytics Events
Authorization
bearerAuth In: header
Path Parameters
Unique identifier of the DTS root CA certificate.
uuidQuery Parameters
Range size of returned list.
1 <= value <= 1000100Starting point for the list of entries.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/ecosystems/certificates/ca/497f6eca-6276-4993-bfeb-53cbbbba6f08/intermediate"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "active": true, "certificatePem": "string", "certificateFingerprint": "string", "certificateData": { "commonName": "string", "country": "string", "organisationName": "string", "notAfter": "2019-08-24T14:15:22Z", "notBefore": "2019-08-24T14:15:22Z" }, "usages": [ "VICAL" ], "caCertificateId": "3c667fc8-c92c-4eee-a159-5221f574052e" } ], "nextCursor": "string"}How would you rate this page?
Create a DTS intermediate CA certificate POST
Creates a DTS intermediate CA certificate, which sits between the DTS root CA certificate and the signer certificate to sign DTS signer certificates. DTS intermediate CA certificates are only relevant when using the 3-tier certificate model, where a DTS root CA signs an intermediate CA, which in turn signs the signer certificate. They are only supported for unmanaged (external) DTS root CA certificates that have `useIntermediateCa` set to `true`. For an explanation of the 2-tier and 3-tier models and guidance on choosing between them, refer to the [DTS certificates overview](https://learn.mattr.global/docs/digital-trust-service/certificates-overview#certificate-models-2-tier-and-3-tier).
Retrieve a DTS intermediate CA certificate GET
Retrieves a DTS intermediate CA certificate.